org.apache.ignite.binary

## Interface BinaryRawReader

-     public interface BinaryRawReader

  Raw reader for binary objects. Raw reader does not use field name hash codes, therefore, making the format even more compact. However, if the raw reader is used, dynamic structure changes to the binary objects are not supported.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `readBoolean()`
    `@Nullable boolean[]` | `readBooleanArray()`
    `byte` | `readByte()`
    `@Nullable byte[]` | `readByteArray()`
    `char` | `readChar()`
    `@Nullable char[]` | `readCharArray()`
    `<T> @Nullable Collection<T>` | `readCollection()`
    `<T> @Nullable Collection<T>` | `readCollection(BinaryCollectionFactory<T> factory)`
    `@Nullable Date` | `readDate()`
    `@Nullable Date[]` | `readDateArray()`
    `@Nullable BigDecimal` | `readDecimal()`
    `@Nullable BigDecimal[]` | `readDecimalArray()`
    `double` | `readDouble()`
    `@Nullable double[]` | `readDoubleArray()`
    `<T extends Enum<?>> T` | `readEnum()`
    `<T extends Enum<?>> T[]` | `readEnumArray()`
    `float` | `readFloat()`
    `@Nullable float[]` | `readFloatArray()`
    `int` | `readInt()`
    `@Nullable int[]` | `readIntArray()`
    `long` | `readLong()`
    `@Nullable long[]` | `readLongArray()`
    `<K,V> @Nullable Map<K,V>` | `readMap()`
    `<K,V> @Nullable Map<K,V>` | `readMap(BinaryMapFactory<K,V> factory)`
    `<T> T` | `readObject()`
    `@Nullable Object[]` | `readObjectArray()`
    `short` | `readShort()`
    `@Nullable short[]` | `readShortArray()`
    `@Nullable String` | `readString()`
    `@Nullable String[]` | `readStringArray()`
    `@Nullable Time` | `readTime()`
    `@Nullable Time[]` | `readTimeArray()`
    `@Nullable Timestamp` | `readTimestamp()`
    `@Nullable Timestamp[]` | `readTimestampArray()`
    `@Nullable UUID` | `readUuid()`
    `@Nullable UUID[]` | `readUuidArray()`

- - ### Method Detail

    - #### readByte

          byte readByte()
                 throws BinaryObjectException

      Returns:
        Byte value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readShort

          short readShort()
                   throws BinaryObjectException

      Returns:
        Short value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readInt

          int readInt()
               throws BinaryObjectException

      Returns:
        Integer value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readLong

          long readLong()
                 throws BinaryObjectException

      Returns:
        Long value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readFloat

          float readFloat()
                   throws BinaryObjectException

      Returns:
        Float value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readDouble

          double readDouble()
                     throws BinaryObjectException

      Returns:
        Double value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readChar

          char readChar()
                 throws BinaryObjectException

      Returns:
        Char value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readBoolean

          boolean readBoolean()
                       throws BinaryObjectException

      Returns:
        Boolean value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readDecimal

          @Nullable
          @Nullable BigDecimal readDecimal()
                                              throws BinaryObjectException

      Returns:
        Decimal value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readString

          @Nullable
          @Nullable String readString()
                                         throws BinaryObjectException

      Returns:
        String value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readUuid

          @Nullable
          @Nullable UUID readUuid()
                                     throws BinaryObjectException

      Returns:
        UUID.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readDate

          @Nullable
          @Nullable Date readDate()
                                     throws BinaryObjectException

      Returns:
        Date.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readTimestamp

          @Nullable
          @Nullable Timestamp readTimestamp()
                                               throws BinaryObjectException

      Returns:
        Timestamp.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readTime

          @Nullable
          @Nullable Time readTime()
                                     throws BinaryObjectException

      Returns:
        Time.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readObject

          @Nullable
          <T> T readObject()
                              throws BinaryObjectException

      Type Parameters:
        `T` - Type of the object to read.
      Returns:
        Object.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readByteArray

          @Nullable
          @Nullable byte[] readByteArray()
                                            throws BinaryObjectException

      Returns:
        Byte array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readShortArray

          @Nullable
          @Nullable short[] readShortArray()
                                              throws BinaryObjectException

      Returns:
        Short array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readIntArray

          @Nullable
          @Nullable int[] readIntArray()
                                          throws BinaryObjectException

      Returns:
        Integer array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readLongArray

          @Nullable
          @Nullable long[] readLongArray()
                                            throws BinaryObjectException

      Returns:
        Long array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readFloatArray

          @Nullable
          @Nullable float[] readFloatArray()
                                              throws BinaryObjectException

      Returns:
        Float array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readDoubleArray

          @Nullable
          @Nullable double[] readDoubleArray()
                                                throws BinaryObjectException

      Returns:
        Byte array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readCharArray

          @Nullable
          @Nullable char[] readCharArray()
                                            throws BinaryObjectException

      Returns:
        Char array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readBooleanArray

          @Nullable
          @Nullable boolean[] readBooleanArray()
                                                  throws BinaryObjectException

      Returns:
        Boolean array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readDecimalArray

          @Nullable
          @Nullable BigDecimal[] readDecimalArray()
                                                     throws BinaryObjectException

      Returns:
        Decimal array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readStringArray

          @Nullable
          @Nullable String[] readStringArray()
                                                throws BinaryObjectException

      Returns:
        String array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readUuidArray

          @Nullable
          @Nullable UUID[] readUuidArray()
                                            throws BinaryObjectException

      Returns:
        UUID array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readDateArray

          @Nullable
          @Nullable Date[] readDateArray()
                                            throws BinaryObjectException

      Returns:
        Date array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readTimestampArray

          @Nullable
          @Nullable Timestamp[] readTimestampArray()
                                                      throws BinaryObjectException

      Returns:
        Timestamp array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readTimeArray

          @Nullable
          @Nullable Time[] readTimeArray()
                                            throws BinaryObjectException

      Returns:
        Time array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readObjectArray

          @Nullable
          @Nullable Object[] readObjectArray()
                                                throws BinaryObjectException

      Returns:
        Object array.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readCollection

          @Nullable
          <T> @Nullable Collection<T> readCollection()
                                                        throws BinaryObjectException

      Type Parameters:
        `T` - Type of elements in collection to read.
      Returns:
        Collection.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readCollection

          @Nullable
          <T> @Nullable Collection<T> readCollection(BinaryCollectionFactory<T> factory)
                                                        throws BinaryObjectException

      Type Parameters:
        `T` - Type of elements in collection to read.
      Parameters:
        `factory` - Collection factory.
      Returns:
        Collection.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readMap

          @Nullable
          <K,V> @Nullable Map<K,V> readMap()
                                              throws BinaryObjectException

      Type Parameters:
        `K` - Type of keys in the map to read.
        `V` - Type of mapped values in the map to read.
      Returns:
        Map.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readMap

          @Nullable
          <K,V> @Nullable Map<K,V> readMap(BinaryMapFactory<K,V> factory)
                                              throws BinaryObjectException

      Type Parameters:
        `K` - Type of keys in the map to read.
        `V` - Type of mapped values in the map to read.
      Parameters:
        `factory` - Map factory.
      Returns:
        Map.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readEnum

          @Nullable
          <T extends Enum<?>> T readEnum()
                                            throws BinaryObjectException

      Type Parameters:
        `T` - Type of the enum to read.
      Returns:
        Value.
      Throws:
        `BinaryObjectException` - In case of error.

    - #### readEnumArray

          @Nullable
          <T extends Enum<?>> T[] readEnumArray()
                                                   throws BinaryObjectException

      Type Parameters:
        `T` - Type of the enum values in array to read.
      Returns:
        Value.
      Throws:
        `BinaryObjectException` - In case of error.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023